[arch-commits] Commit in xorg-twm/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 16:34:09 EDT 2008


    Date: Sunday, July 6, 2008 @ 16:34:09
  Author: jgc
Revision: 4403

Merged revisions 2-4402 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xorg-twm/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4402 | jgc | 2008-07-06 20:33:56 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: xorg-twm 1.0.4-1
........

Modified:
  xorg-twm/repos/extra-i686/	(properties)
  xorg-twm/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)


Property changes on: xorg-twm/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xorg-twm/trunk:1
   + /xorg-twm/trunk:1-4402

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 20:33:56 UTC (rev 4402)
+++ extra-i686/PKGBUILD	2008-07-06 20:34:09 UTC (rev 4403)
@@ -2,26 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-twm
-pkgver=1.0.1
-pkgrel=2
-pkgdesc="X Display Manager"
+pkgver=1.0.4
+pkgrel=1
+pkgdesc="X.Org Tiling Window Manager"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 backup=(etc/X11/twm/system.twmrc)
 depends=('libxmu')
 makedepends=('pkgconfig')
 groups=('xorg')
-_xorg=X11R7.0
-_relname=twm
-source=(${url}/releases/${_xorg}/src/everything/${_relname}-${_xorg}-${pkgver}.tar.bz2)
+source=(${url}/releases/individual/app/twm-${pkgver}.tar.bz2)
+md5sums=('0865e14c73c08fa8c501ae877298ee9f')
 
 build() {
-  cd ${startdir}/src/${_relname}-${_xorg}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${startdir}/src/twm-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-  mkdir -p ${startdir}/pkg/etc/X11/twm
-  install -m 0644 src/system.twmrc ${startdir}/pkg/etc/X11/twm/
+  install -m755 -d ${startdir}/pkg/etc/X11/twm
+  install -m644 src/system.twmrc ${startdir}/pkg/etc/X11/twm/ || return 1
 }
-
-md5sums=('cd525ca3ac5e29d21a61deebc1e0c376')





More information about the arch-commits mailing list